GNU bug report logs - #13480
24.3.50; `C-w' from Isearch should translate newlines to spaces

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Dani Moncayo <dmoncayo@HIDDEN>; dated Thu, 17 Jan 2013 20:41:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 3 Aug 2013 17:09:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Aug 03 13:09:58 2013
Received: from localhost ([127.0.0.1]:38441 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V5fL3-0007RW-M0
	for submit <at> debbugs.gnu.org; Sat, 03 Aug 2013 13:09:58 -0400
Received: from mail-la0-f44.google.com ([209.85.215.44]:47744)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <dmoncayo@HIDDEN>) id 1V5fL1-0007R8-9o
 for 13480 <at> debbugs.gnu.org; Sat, 03 Aug 2013 13:09:55 -0400
Received: by mail-la0-f44.google.com with SMTP id fo12so1174002lab.31
 for <13480 <at> debbugs.gnu.org>; Sat, 03 Aug 2013 10:09:49 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
 h=mime-version:in-reply-to:references:date:message-id:subject:from:to
 :content-type; bh=P7BdUvF3LjYPLMla94k8dz/HnXTE53o3Q7ijA6vXupk=;
 b=ppQyDnWyqU7ouCJ4EqvRSTqu4JYZGvIppgKpOg+Olg/vd6mD1Hk5n2SqAZt/iUOniz
 0+4Xk4d05rkHUYEDx6z/qYlJkvCRdeLNj9CFMYYj42DU9EwD6kMOlER/B9IeRZIw7QdG
 zLjpzIdsBqh+nKq/pzSmh9XUxoXGjnnnRH64EjbO00q8jePdINzbWBeo7237yDhrtVct
 MnayicBdTZQUOtGWj2DZBsocy3MOJO2GrwHGtxCiC2LvGM493MaCutFBNOb+ObqQxWds
 Yi/GX1SDvu5+KC1tYg8XFdXk25Ci5AS8tlz5v/sBf6kswVrBFhprkr62xT1hhjEeIi6C
 OhNw==
MIME-Version: 1.0
X-Received: by 10.152.170.197 with SMTP id ao5mr5313659lac.35.1375549789322;
 Sat, 03 Aug 2013 10:09:49 -0700 (PDT)
Received: by 10.114.176.231 with HTTP; Sat, 3 Aug 2013 10:09:49 -0700 (PDT)
In-Reply-To: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
Date: Sat, 3 Aug 2013 19:09:49 +0200
Message-ID: <CAH8Pv0j7iSBPXbs_y-u7xPvv+NNo-hAQKtrdv6coYwZwbD8Qig@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
 to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: 13480 <at> debbugs.gnu.org
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13480
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -0.7 (/)

On Thu, Jan 17, 2013 at 9:39 PM, Dani Moncayo <dmoncayo@HIDDEN> wrote:
> Hello,
>
> I have `isearch-lax-whitespace' set to t in my init file, so that I
> can search for a sequence of words regardless of whether there is line
> breaks or plain spaces between them.
>
> Now, if the text following point is "foo bar" and I do `C-s C-w C-w'
> I'll be searching for any sequence of those two words, separated by
> any whitespace (well, controlled by `search-whitespace-regexp').  Ok,
> as expected.
>
> But I've just noticed that if the text following point is
> "foo<newline>bar" and I do the same, I'll be searching exactly for
> that fixed sequence of 7 characters, including the <newline>.  Not
> what I want, obviously.

There were quite a few post about this problem, but at the end, I
think that the right solution is this one:

When `isearch-lax-whitespace' is non-nil, a sequence of whitespace
chars in the search string (not only a space, as stated now) should
match a sequence of whitespace chars in the buffer.

Analogous reasoning for `isearch-regexp-lax-whitespace' (for regexp
incremental search).

(Remember: we must refrain from modifying the text to search for, as
supplied by the user, because the search conditions (lax whitespace
matching in this case) may vary during the Isearch session)

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 20 Jan 2013 12:28:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 07:28:37 2013
Received: from localhost ([127.0.0.1]:41160 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Twu0q-0006ok-RG
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2013 07:28:37 -0500
Received: from mail-la0-f43.google.com ([209.85.215.43]:59771)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1Twu0n-0006ob-AP
	for 13480 <at> debbugs.gnu.org; Sun, 20 Jan 2013 07:28:35 -0500
Received: by mail-la0-f43.google.com with SMTP id ed20so701438lab.2
	for <13480 <at> debbugs.gnu.org>; Sun, 20 Jan 2013 04:27:34 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=bGN+emjGBNnx70JQVDRHuw21tvS4v96TitbROIVOnkA=;
	b=CotN7CQBpE1H+AtBqGPIQ7bBeIxd3rvtnzI/bcnVHB7+cTX46brulr1UNx5Z/iMyOf
	/STFsNuJWXqvhlhWxyPbtHYC+X4uQFl1jf1ZNst92zSKaGyarxPkgSW5+pWbjQeYA6pK
	ex6U8gV4nk2KjSYshZc+gwFob2KHgv+2Gi1pcvurdNT6DtLv/kNpDPWYW//iIRgZ0fwt
	GXvRvbq80ricbRWsbSd6EhOISDMhctE9dbmGxe/E2xiM7stfbfLK7QU+Hj/PJP4tN1bc
	0oexhooTyuyrUHUkD3IkMud9D/NG/RxBCsw3Hr8uICQ1UR4RqJcbUI8y+1D0hFowd/rb
	xdKQ==
MIME-Version: 1.0
X-Received: by 10.152.145.37 with SMTP id sr5mr14294668lab.33.1358684854424;
	Sun, 20 Jan 2013 04:27:34 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sun, 20 Jan 2013 04:27:34 -0800 (PST)
In-Reply-To: <CAH8Pv0hhNOh7hW_ChxAgJkHhksE9b7AX6O2RO+k3FPZLx5YXUg@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
	<753FBC5FA6504FE187B65C5B59C262D1@HIDDEN>
	<jwvobgl84zq.fsf-monnier+emacs@HIDDEN>
	<878v7okavd.fsf@HIDDEN>
	<CAH8Pv0hhNOh7hW_ChxAgJkHhksE9b7AX6O2RO+k3FPZLx5YXUg@HIDDEN>
Date: Sun, 20 Jan 2013 13:27:34 +0100
Message-ID: <CAH8Pv0hsBRf-4BRQJR=R+XhCm5G-HnydP1pk_eV56rqQH9E_EA@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
	Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.2 (-)

>> So maybe a better default value for `search-upper-case'
>> would be `nil' instead of the current default `not-yanks'.
>
> I've just read the docstring of that variable, and I think its design
> is clearly misguided.  The text in the search string that came from a
> yank should not be treated differently from the rest.  I see no point
> in that approach.

Well, I see the point of making that distinction: If the user is
Isearching and _types_ an uppercase character, then it is quite
reasonable to assume that she wants the _current_ Isearch session to
be case-sensitive.  But that assumption is not reasonable when the
user takes text from somewhere (kill ring or buffer) and adds it to
the search string.

But downcasing the text in the second case is clearly a wrong
approach, because we are losing information that can be necessary
during the Isearch session for doing the right thing.

Instead, store the text in the search string as supplied, without
altering it in any way, and do the search based on it and the current
search "conditions", which can vary during the Isearch session.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 20 Jan 2013 09:42:58 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Jan 20 04:42:58 2013
Received: from localhost ([127.0.0.1]:41050 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwrQY-0002tp-0c
	for submit <at> debbugs.gnu.org; Sun, 20 Jan 2013 04:42:58 -0500
Received: from mail-lb0-f178.google.com ([209.85.217.178]:58130)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TwrQV-0002th-9N
	for 13480 <at> debbugs.gnu.org; Sun, 20 Jan 2013 04:42:56 -0500
Received: by mail-lb0-f178.google.com with SMTP id n1so1300237lba.37
	for <13480 <at> debbugs.gnu.org>; Sun, 20 Jan 2013 01:41:57 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=2kojG5+kc+2TxslpRuz4alCWqbZBk4UyocH5zr3MGCI=;
	b=BXWRF+CGsQ0zktGC/7HuPbzdWtOtwqL0RKDARFxNJI7A68mWk9Ee5jXIsRqX7UUlQV
	gMl5gLd57pWSo9fgkteDBrzYjnLeTBcQvEnXFA5Y7Giz6X/Uj53+5zqLiF+T806Cffq7
	Tyo4earpm+TxuQtDOFsTYp+lKC+PsXj+N9duGqxL3HBn940FOnWjdGqzlio8vb50hLEl
	3RFqV7jZQuGE0O04P11bABkOk3VhrLa+ftjcsAUaQlQksJBgfsSwC0iTGX4keOBWjSrA
	nMMAXQkQMHAmKFTHPWXKSMhALm2yNFlGd5vBKf1NOAyfax64SraE5mgSzG98oF5H3HEW
	HtTw==
MIME-Version: 1.0
X-Received: by 10.152.112.36 with SMTP id in4mr13875194lab.35.1358674917081;
	Sun, 20 Jan 2013 01:41:57 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sun, 20 Jan 2013 01:41:56 -0800 (PST)
In-Reply-To: <878v7okavd.fsf@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
	<753FBC5FA6504FE187B65C5B59C262D1@HIDDEN>
	<jwvobgl84zq.fsf-monnier+emacs@HIDDEN>
	<878v7okavd.fsf@HIDDEN>
Date: Sun, 20 Jan 2013 10:41:56 +0100
Message-ID: <CAH8Pv0hhNOh7hW_ChxAgJkHhksE9b7AX6O2RO+k3FPZLx5YXUg@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org, Stefan Monnier <monnier@HIDDEN>,
	Drew Adams <drew.adams@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

>>>> So we could use `isearch-message' to display the translated
>>>> search string but not to translate it in `isearch-string'.
>>> Yes, +1.
>>
>> IIRC there's the same problem with case-sensitivity.
>
> Not downcasing the yanked string could help to fix bug#10118.

Of course, because altering the original text supplied by the user is
definitely a mistake.

> According to the docstring of `search-upper-case',
> if its value is `not-yanks', text yanked into the
> search string is always downcased.
>
> So maybe a better default value for `search-upper-case'
> would be `nil' instead of the current default `not-yanks'.

I've just read the docstring of that variable, and I think its design
is clearly misguided.  The text in the search string that came from a
yank should not be treated differently from the rest.  I see no point
in that approach.

I would control the behavior of Isearch wrt case-sensitivity with a
variable `isearch-case-sensitive' which the user could set to:
1. `auto' (the default): the search is case-sensitive only when the
search string contains at least one uppercase character.
2. `nil': the search is case-insensitive.
3. (any other value): the search is case-sensitive.

> If a tri-state option with three values t/nil/not-yanks
> is a good customization UI then perhaps `isearch-lax-whitespace'
> should provide the option `not-yanks' too, specifying whether
> newlines should be translated to a single space in text yanked
> into the search string.
>
> If the value `not-yanks' is a bad UI then search functions should
> take care about translating the characters in the search string internally
> depending on a new set of options specifying how search functions should
> use the right case and whitespace.

I don't think this is a question of good or bad UI, but of good or bad design.

In summary, I see two mistake here:

1. Losing information.  Example: downcasing the text in `C-s C-y' or
`C-s C-w'.  The text supplied by the user to search for should be kept
untouched.  Not doing so is asking for trouble.

2. Not interpreting correctly the search string.  Example: the
original post in this thread.  If `isearch-lax-whitespace' is non-nil,
`C-s fooXbar' should find every string `fooYbar' in the buffer, where
X and Y are arbitrary strings that match `search-whitespace-regexp'.


-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 23:37:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 18:37:16 2013
Received: from localhost ([127.0.0.1]:40756 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwhyM-0004RS-La
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 18:37:15 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:57628
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwhyJ-0004RI-VG
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 18:37:12 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 57B2B200EC1840;
	Sat, 19 Jan 2013 15:36:15 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
	<753FBC5FA6504FE187B65C5B59C262D1@HIDDEN>
	<jwvobgl84zq.fsf-monnier+emacs@HIDDEN>
Date: Sun, 20 Jan 2013 01:30:07 +0200
In-Reply-To: <jwvobgl84zq.fsf-monnier+emacs@HIDDEN> (Stefan Monnier's message
	of "Sat, 19 Jan 2013 12:20:15 -0500")
Message-ID: <878v7okavd.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org, Drew Adams <drew.adams@HIDDEN>,
	'Dani Moncayo' <dmoncayo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>>> So we could use `isearch-message' to display the translated
>>> search string but not to translate it in `isearch-string'.
>> Yes, +1.
>
> IIRC there's the same problem with case-sensitivity.

Not downcasing the yanked string could help to fix bug#10118.

According to the docstring of `search-upper-case',
if its value is `not-yanks', text yanked into the
search string is always downcased.

So maybe a better default value for `search-upper-case'
would be `nil' instead of the current default `not-yanks'.

If a tri-state option with three values t/nil/not-yanks
is a good customization UI then perhaps `isearch-lax-whitespace'
should provide the option `not-yanks' too, specifying whether
newlines should be translated to a single space in text yanked
into the search string.

If the value `not-yanks' is a bad UI then search functions should
take care about translating the characters in the search string internally
depending on a new set of options specifying how search functions should
use the right case and whitespace.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 17:21:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 12:21:12 2013
Received: from localhost ([127.0.0.1]:40497 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Twc6S-00030e-Dl
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 12:21:12 -0500
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:59411)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <monnier@HIDDEN>) id 1Twc6R-00030W-5n
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 12:21:11 -0500
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: AhoHAG6Zu09FpZpV/2dsb2JhbABEgXuuTYNJgQiCFQEBBAFWIxALNBIUGA0kiBwFugmQRAOIQppxgViDBw
X-IronPort-AV: E=Sophos;i="4.75,637,1330923600"; d="scan'208";a="213038465"
Received: from 69-165-154-85.dsl.teksavvy.com (HELO fmsmemgm.homelinux.net)
	([69.165.154.85])
	by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
	19 Jan 2013 12:20:17 -0500
Received: by fmsmemgm.homelinux.net (Postfix, from userid 20848)
	id 59125AE362; Sat, 19 Jan 2013 12:20:15 -0500 (EST)
From: Stefan Monnier <monnier@HIDDEN>
To: "Drew Adams" <drew.adams@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Message-ID: <jwvobgl84zq.fsf-monnier+emacs@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
	<753FBC5FA6504FE187B65C5B59C262D1@HIDDEN>
Date: Sat, 19 Jan 2013 12:20:15 -0500
In-Reply-To: <753FBC5FA6504FE187B65C5B59C262D1@HIDDEN> (Drew Adams's
	message of "Sat, 19 Jan 2013 07:43:09 -0800")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -1.9 (-)
X-Debbugs-Envelope-To: 13480
Cc: 'Juri Linkov' <juri@HIDDEN>, 13480 <at> debbugs.gnu.org,
	'Dani Moncayo' <dmoncayo@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

>> So we could use `isearch-message' to display the translated 
>> search string but not to translate it in `isearch-string'.
> Yes, +1.

IIRC there's the same problem with case-sensitivity.


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 15:46:13 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 10:46:13 2013
Received: from localhost ([127.0.0.1]:40461 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwacW-0000lI-NX
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:46:12 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:35834)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TwacU-0000lA-R6
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:46:12 -0500
Received: from ucsinet21.oracle.com (ucsinet21.oracle.com [156.151.31.93])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0JFjGSS014856
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sat, 19 Jan 2013 15:45:17 GMT
Received: from acsmt358.oracle.com (acsmt358.oracle.com [141.146.40.158])
	by ucsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0JFjGh8024709
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 19 Jan 2013 15:45:16 GMT
Received: from abhmt119.oracle.com (abhmt119.oracle.com [141.146.116.71])
	by acsmt358.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0JFjGp6015016; Sat, 19 Jan 2013 09:45:16 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sat, 19 Jan 2013 07:45:15 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Dani Moncayo'" <dmoncayo@HIDDEN>, "'Juri Linkov'" <juri@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN><87r4ljh54a.fsf@HIDDEN><CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN><CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN><87wqva2lvg.fsf@HIDDEN><CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN><CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN><87obgl5vuz.fsf@HIDDEN><CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN><8738xx30eo.fsf@HIDDEN>
	<CAH8Pv0i6-ao5C3cnnaW4Mbb+tMPO4U1RrAQSL5EN-Hdjqwv9XQ@HIDDEN>
Subject: RE: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Date: Sat, 19 Jan 2013 07:45:09 -0800
Message-ID: <B48C4731B2D04CB0BA595038C24F2A39@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <CAH8Pv0i6-ao5C3cnnaW4Mbb+tMPO4U1RrAQSL5EN-Hdjqwv9XQ@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
Thread-Index: Ac32PjkZdf37uRhBSEmEID90C8G8qQAHXoaA
X-Source-IP: ucsinet21.oracle.com [156.151.31.93]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

> Not sure what you mean.  If you are going to use `isearch-string' to
> store the raw search string, obviously that variable should not be
> overwritten with the translated version.
> 
> So you need another variable for the translated version, but I don't
> think `isearch-message' is a good name, because the intent is not
> (only) to be a mere message for the user, but to serve as input for
> the search algorithm.  Therefore I'd look for a name which better
> reflects that intent.  For example `isearch-string-canonical' or
> `isearch-string-normalized' or something like that (see
> http://en.wikipedia.org/wiki/Canonicalization for inspiration).

Yes, you need to be able to go back and forth, and each is distiguishable from
the current search string variable, i.e., there are two "backups": raw and
pretty.  Possibly we could get by with just one backup, but the behavior should
be that the user can retrieve the last search string of either kind at any
point.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 15:44:14 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 10:44:14 2013
Received: from localhost ([127.0.0.1]:40457 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Twaac-0000hx-23
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:44:14 -0500
Received: from userp1040.oracle.com ([156.151.31.81]:36021)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TwaaY-0000hp-N0
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:44:11 -0500
Received: from acsinet21.oracle.com (acsinet21.oracle.com [141.146.126.237])
	by userp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0JFhGLQ013782
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sat, 19 Jan 2013 15:43:17 GMT
Received: from acsmt356.oracle.com (acsmt356.oracle.com [141.146.40.156])
	by acsinet21.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0JFhFDC005613
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 19 Jan 2013 15:43:16 GMT
Received: from abhmt104.oracle.com (abhmt104.oracle.com [141.146.116.56])
	by acsmt356.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0JFhFxW026661; Sat, 19 Jan 2013 09:43:15 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sat, 19 Jan 2013 07:43:15 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Juri Linkov'" <juri@HIDDEN>, "'Dani Moncayo'" <dmoncayo@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN><87r4ljh54a.fsf@HIDDEN><CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN><CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN><87wqva2lvg.fsf@HIDDEN><CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN><CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN><87obgl5vuz.fsf@HIDDEN><CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
Subject: RE: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Date: Sat, 19 Jan 2013 07:43:09 -0800
Message-ID: <753FBC5FA6504FE187B65C5B59C262D1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <8738xx30eo.fsf@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
Thread-Index: Ac32NAXSgKoXIB1ESA6ScsYc/e4oIgAJ03tA
X-Source-IP: acsinet21.oracle.com [141.146.126.237]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.8 (--)

> > 1. Store in one variable the "raw" (untouched) search string, as
> > supplied by the user.
> 
> Such variable that holds the raw search string already exists.
> It is `isearch-string'.
> 
> > 2. Store in another variable (or define a function to get) the
> > "canonical" search string, based on the raw search string and the
> > "laxities" enabled at that moment for the search algorithm 
> (related to
> > whitespace, case-sensitivity, accents, etc).
> > 3. Display the canonical search string in the echo area and use it
> > also in the search algorithm.
> 
> Such variable used to display the search string in the echo 
> area already exists.
> It is `isearch-message'.
> 
> So we could use `isearch-message' to display the translated 
> search string but not to translate it in `isearch-string'.

Yes, +1.  But not just display it.  Be able to toggle it in place of
`isearch-string'.  IOW, be able to retrieve it, and go back and forth.

It might also be useful to be able to just display it, as a check.  (But a user
could just hit the toggle key twice for that.)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 15:02:17 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 10:02:17 2013
Received: from localhost ([127.0.0.1]:40428 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwZvz-00086r-Ke
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:02:16 -0500
Received: from aserp1040.oracle.com ([141.146.126.69]:49259)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <drew.adams@HIDDEN>) id 1TwZvx-00086j-7y
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 10:02:14 -0500
Received: from acsinet22.oracle.com (acsinet22.oracle.com [141.146.126.238])
	by aserp1040.oracle.com (Sentrion-MTA-4.2.2/Sentrion-MTA-4.2.2) with
	ESMTP id r0JF1IXm004934
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=OK);
	Sat, 19 Jan 2013 15:01:19 GMT
Received: from acsmt357.oracle.com (acsmt357.oracle.com [141.146.40.157])
	by acsinet22.oracle.com (8.14.4+Sun/8.14.4) with ESMTP id
	r0JF1IBF026398
	(version=TLSv1/SSLv3 cipher=DHE-RSA-AES256-SHA bits=256 verify=NO);
	Sat, 19 Jan 2013 15:01:18 GMT
Received: from abhmt115.oracle.com (abhmt115.oracle.com [141.146.116.67])
	by acsmt357.oracle.com (8.12.11.20060308/8.12.11) with ESMTP id
	r0JF1Irm007758; Sat, 19 Jan 2013 09:01:18 -0600
Received: from dradamslap1 (/71.202.147.44)
	by default (Oracle Beehive Gateway v4.0)
	with ESMTP ; Sat, 19 Jan 2013 07:01:17 -0800
From: "Drew Adams" <drew.adams@HIDDEN>
To: "'Dani Moncayo'" <dmoncayo@HIDDEN>, "'Juri Linkov'" <juri@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN><87r4ljh54a.fsf@HIDDEN><CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN><CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN><87wqva2lvg.fsf@HIDDEN><CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
Subject: RE: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Date: Sat, 19 Jan 2013 07:01:11 -0800
Message-ID: <C44FE2AE2BBF4B9699BE68A2F1E45FB3@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
	charset="us-ascii"
Content-Transfer-Encoding: 7bit
X-Mailer: Microsoft Office Outlook 11
In-Reply-To: <CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
X-MimeOLE: Produced By Microsoft MimeOLE V6.00.2900.6157
Thread-Index: Ac32K17pYNGQZ5wdR4W1yxOyGfQhKQAKSZvA
X-Source-IP: acsinet22.oracle.com [141.146.126.238]
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -4.2 (----)

> > 2. It is less surprising and more clean to me to see in the 
> > echo area exactly the text I'm supplying, without translations
> > of any kind.
> 
> Well, OTOH it makes a lot of sense to think of the text displayed in
> the echo area (during Isearch) not necessarily as the raw search
> string, but as its "canonical form", according to the current matching
> behavior (which the user should be able to alter on-the-fly).
> 
> Definitely that would be a nice behavior, and not only for the laxity
> in whitespace matching, but also in other ones discussed recently like
> those related to accented.

Yes, it would be good, if possible, for a user to be able to toggle between a
raw search string that Isearch uses under the covers and its effective or more
visually convenient representation.

This can be useful in regexp searching, of course.  And it can be useful if a
user switches from plain search to regexp and wants to retrieve the underlying
regexp and tweak it.

We discussed this a couple of times, IIRC.  In connection with letting `.' match
also newlines, letting SPC represent a more complex whitespace regexp, and maybe
in connection with accents etc.  E.g., a regexp or other pattern that matches
any char including newlines or any whitespace or the chars in an equivalence
class ignoring diacritics.

Sorry, I don't have references to the discussions.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 12:12:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 07:12:11 2013
Received: from localhost ([127.0.0.1]:39668 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwXHP-00032g-HB
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 07:12:11 -0500
Received: from mail-lb0-f181.google.com ([209.85.217.181]:57501)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TwXHM-00032W-PJ
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 07:12:10 -0500
Received: by mail-lb0-f181.google.com with SMTP id ge1so3364010lbb.12
	for <13480 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 04:11:15 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=b+PRQfgahwipgS2IeQZJaAHWwGU+MJ25qPJKJjDeDhs=;
	b=J6QEMZqG9cE6VWnMp/nR4JGsKmDmDpQxiay4vNGGGcxCAu37+DK4kfd7f8vXptZJ0J
	g6OxqI5XB+mXEhXEvykT3yspVinUN18MrUwMgHlO/MBlN8+lXAndefZcLIT0dmdU7Hnh
	jCD+7bgu2LRwVh00YOtLGMb9HsEpV/67CIJJ10BlV7oLiqzy78hxsIyz3GM/ewlAfUVH
	9E+XiNmsUaXEHg4w7wSdj/iWP7tUQ6DuLuNM5AhUUSQ4VRNDZ/EF9JBxKOD2fk+rPbfu
	6bOVUheE/SH2U22eY6zt3wvC6QnSegsPRjH8WGqHjIUSHYaaQLs9ZKaYeWHK4LXsRk4a
	lCvQ==
MIME-Version: 1.0
X-Received: by 10.152.112.36 with SMTP id in4mr11591063lab.35.1358597475442;
	Sat, 19 Jan 2013 04:11:15 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sat, 19 Jan 2013 04:11:15 -0800 (PST)
In-Reply-To: <8738xx30eo.fsf@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	<8738xx30eo.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 13:11:15 +0100
Message-ID: <CAH8Pv0i6-ao5C3cnnaW4Mbb+tMPO4U1RrAQSL5EN-Hdjqwv9XQ@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

>> 1. Store in one variable the "raw" (untouched) search string, as
>> supplied by the user.
>
> Such variable that holds the raw search string already exists.
> It is `isearch-string'.

Currently that's not true.  For example, after invoking
`isearch-yank-string', `isearch-string' ends up holding the translated
version of the raw search string, which is not available anymore.

>> 2. Store in another variable (or define a function to get) the
>> "canonical" search string, based on the raw search string and the
>> "laxities" enabled at that moment for the search algorithm (related to
>> whitespace, case-sensitivity, accents, etc).
>> 3. Display the canonical search string in the echo area and use it
>> also in the search algorithm.
>
> Such variable used to display the search string in the echo area already exists.
> It is `isearch-message'.
>
> So we could use `isearch-message' to display the translated search string
> but not to translate it in `isearch-string'.

Not sure what you mean.  If you are going to use `isearch-string' to
store the raw search string, obviously that variable should not be
overwritten with the translated version.

So you need another variable for the translated version, but I don't
think `isearch-message' is a good name, because the intent is not
(only) to be a mere message for the user, but to serve as input for
the search algorithm.  Therefore I'd look for a name which better
reflects that intent.  For example `isearch-string-canonical' or
`isearch-string-normalized' or something like that (see
http://en.wikipedia.org/wiki/Canonicalization for inspiration).


-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 10:59:22 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 05:59:22 2013
Received: from localhost ([127.0.0.1]:39597 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwW8r-0001Es-H5
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:59:22 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:33348
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwW8p-0001Ek-0A
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:59:15 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id E6182201C15230;
	Sat, 19 Jan 2013 02:58:21 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
	<CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
Date: Sat, 19 Jan 2013 12:57:51 +0200
In-Reply-To: <CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
	(Dani Moncayo's message of "Sat, 19 Jan 2013 11:40:14 +0100")
Message-ID: <8738xx30eo.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> 1. Store in one variable the "raw" (untouched) search string, as
> supplied by the user.

Such variable that holds the raw search string already exists.
It is `isearch-string'.

> 2. Store in another variable (or define a function to get) the
> "canonical" search string, based on the raw search string and the
> "laxities" enabled at that moment for the search algorithm (related to
> whitespace, case-sensitivity, accents, etc).
> 3. Display the canonical search string in the echo area and use it
> also in the search algorithm.

Such variable used to display the search string in the echo area already exists.
It is `isearch-message'.

So we could use `isearch-message' to display the translated search string
but not to translate it in `isearch-string'.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 10:41:11 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 05:41:11 2013
Received: from localhost ([127.0.0.1]:39587 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwVrK-0000pC-0e
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:41:10 -0500
Received: from mail-la0-f47.google.com ([209.85.215.47]:37885)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TwVrH-0000p2-8T
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:41:08 -0500
Received: by mail-la0-f47.google.com with SMTP id fh20so4614603lab.20
	for <13480 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 02:40:14 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=+i//l42Kyi80klAmzaUJaIDpTU0vH5kUA5CZscMqO9k=;
	b=e7WtRSVos7cFd8J65O4aQTP811oYm+zxnhtZPNPhtDg+RmRWIOWgSy0OmlL4Vl1+1U
	BhmnIK2FNcRZYYkodcV1mu69dd6MIcGxQP5qq96QgwH7JIQnizXKmrZx9iZws6ZmPNnA
	LBnQT1Y5gHXgAas/NjIIp1EFsNL2qdO+xYqQqj2Ux/6LXAWfro/g7+skoZ0GoditoCo6
	xcIjTZuKJCYluFbFy78kYuhMMRo6b4ZVMAuhgT+RxmDfzicp7Q/zx1gTFE0FKkuo0dpE
	NGtYdoY+V1jYwGZUQpA529jEe4+nB7KUA43AOuhph1/js9z8LkNA7h7Ix4m8mwn4uylD
	0Xag==
MIME-Version: 1.0
X-Received: by 10.112.13.229 with SMTP id k5mr4937061lbc.125.1358592014557;
	Sat, 19 Jan 2013 02:40:14 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sat, 19 Jan 2013 02:40:14 -0800 (PST)
In-Reply-To: <87obgl5vuz.fsf@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	<87obgl5vuz.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 11:40:14 +0100
Message-ID: <CAH8Pv0h_9eq7m-Yhfqvaz=O4N09NDO=W5OZS4QXHJxKi+Lp5cQ@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

>> Well, OTOH it makes a lot of sense to think of the text displayed in
>> the echo area (during Isearch) not necessarily as the raw search
>> string, but as its "canonical form", according to the current matching
>> behavior (which the user should be able to alter on-the-fly).
>>
>> Definitely that would be a nice behavior, and not only for the laxity
>> in whitespace matching, but also in other ones discussed recently like
>> those related to accented letters.
>
> `isearch-yank-string' already downcases the yanked upper case string
> to lower case, so it's possible to do the same with lax spaces and
> accented letters.

Yes, but I see that currently the conversion to lowercase is
destructive, i.e., the original text supplied by the user is lost.
For example, if I have "Hello" in the kill ring and do `C-s C-y M-s
c', obviously I'd like to be searching for "Hello" case-sensitively,
but currently I end up searching (case-sensitively) for "hello".
That's wrong, IMO.

I propose to:
1. Store in one variable the "raw" (untouched) search string, as
supplied by the user.
2. Store in another variable (or define a function to get) the
"canonical" search string, based on the raw search string and the
"laxities" enabled at that moment for the search algorithm (related to
whitespace, case-sensitivity, accents, etc).
3. Display the canonical search string in the echo area and use it
also in the search algorithm.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 10:09:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 05:09:09 2013
Received: from localhost ([127.0.0.1]:39555 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwVML-0008UH-Dy
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:09:09 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:39167
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwVMG-0008U8-EH
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:09:06 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 9E9A720972F267;
	Sat, 19 Jan 2013 02:08:11 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	<CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
Date: Sat, 19 Jan 2013 12:07:48 +0200
In-Reply-To: <CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
	(Dani Moncayo's message of "Sat, 19 Jan 2013 10:56:58 +0100")
Message-ID: <87obgl5vuz.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> Well, OTOH it makes a lot of sense to think of the text displayed in
> the echo area (during Isearch) not necessarily as the raw search
> string, but as its "canonical form", according to the current matching
> behavior (which the user should be able to alter on-the-fly).
>
> Definitely that would be a nice behavior, and not only for the laxity
> in whitespace matching, but also in other ones discussed recently like
> those related to accented letters.

`isearch-yank-string' already downcases the yanked upper case string
to lower case, so it's possible to do the same with lax spaces and
accented letters.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 10:02:39 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 05:02:38 2013
Received: from localhost ([127.0.0.1]:39551 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwVG2-0008Kt-2j
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:02:38 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:35890
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwVFz-0008Kj-0z
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 05:02:36 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id B459526F9E64AC;
	Sat, 19 Jan 2013 02:01:41 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
Date: Sat, 19 Jan 2013 11:59:22 +0200
In-Reply-To: <CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
	(Dani Moncayo's message of "Sat, 19 Jan 2013 09:05:19 +0100")
Message-ID: <87bocl7av5.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -1.9 (-)

> 1. It loses information that may be useful.  In the future we could
> want to implement a feature whereby the user can toggle the
> lax-whitespace-matching behavior during an Isearch session.  In fact I
> think it would be a good feature (and ISTR that Drew proposed some
> time ago).

We already have this feature with `M-SPC'.

> That feature would not be possible if we change the text
> that the user supplies to search for.

Yes, there is no way to restore the original text in the search string
and to un-translate a space back to the newline.

> 2. It is less surprising and more clean to me to see in the echo area
> exactly the text I'm supplying, without translations of any kind.

Then this is possible to not translate newlines to a space
in the search string but process it internally with this code:

(defun search-whitespace-regexp (string)
  "Return a regexp which ignores whitespace.
Uses the value of the variable `search-whitespace-regexp'."
  (if (or (not (stringp search-whitespace-regexp))
          (null (if isearch-regexp
                    isearch-regexp-lax-whitespace
                  isearch-lax-whitespace)))
      string
    ;; FIXME: this is not strictly correct implementation because it ignores
    ;; `subregexp-context-p' and replaces spaces inside char set group like
    ;; in `C-M-s M-s SPC [ ]', it converts it to ["\\(\\s-\\|\n\\)+"] !
    (replace-regexp-in-string
     search-whitespace-regexp ;; " "
     search-whitespace-regexp
     string nil t)))
(defun search-forward-lax-whitespace (string &optional bound noerror count)
  (re-search-forward (search-whitespace-regexp (regexp-quote string)) bound noerror count))
(defun search-backward-lax-whitespace (string &optional bound noerror count)
  (re-search-backward (search-whitespace-regexp (regexp-quote string)) bound noerror count))
(defun re-search-forward-lax-whitespace (regexp &optional bound noerror count)
  (re-search-forward (search-whitespace-regexp regexp) bound noerror count))
(defun re-search-backward-lax-whitespace (regexp &optional bound noerror count)
  (re-search-backward (search-whitespace-regexp regexp) bound noerror count))




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 09:57:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 04:57:57 2013
Received: from localhost ([127.0.0.1]:39546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwVBV-0008DK-2Z
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 04:57:57 -0500
Received: from mail-la0-f52.google.com ([209.85.215.52]:52008)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TwVBP-0008DA-G1
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 04:57:56 -0500
Received: by mail-la0-f52.google.com with SMTP id ee20so2524159lab.39
	for <13480 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 01:56:59 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=/OyNDfJcXMK1ihKTLKCkq1nJom32Ezb0vZHbPyUOg14=;
	b=AxNWofwjrXC8myNlUPESn2VAaerRMbUHCkVUlT52rMjPuLeYBy1prI7SUin49OQGAG
	J6U2B/KKWJdfdeZYu71VtGkg/xDawR3vSqmUhJ6a9pp3p8OJfGUWZiV38FNnizb2mCJj
	pyZkfVQ0qwacN8T1s/QPFsrN9j/Bq67t2lPIvvU9BWNalGlxXhIVfOMPAW0G5q/P4YsA
	qCr2nzsGWRtwLKzhhmqW+56lDmmH4O3j/Mq3DmCpKXxXy++o1Bd71UQ+OpHoifFpSVcj
	xE5NfqZGsuwEUTUmxI881442fzyL+OcIdqz4q6fP04/ILNI/8eK+7I2qfPX0iKMXtH/g
	l4mQ==
MIME-Version: 1.0
X-Received: by 10.112.84.130 with SMTP id z2mr4992469lby.65.1358589418930;
	Sat, 19 Jan 2013 01:56:58 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sat, 19 Jan 2013 01:56:58 -0800 (PST)
In-Reply-To: <CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
	<CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
Date: Sat, 19 Jan 2013 10:56:58 +0100
Message-ID: <CAH8Pv0i42mXX+xRaB2YbYFV-fQ+0crNf+jaHS18-=gHC-KQzyg@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

> 2. It is less surprising and more clean to me to see in the echo area
> exactly the text I'm supplying, without translations of any kind.

Well, OTOH it makes a lot of sense to think of the text displayed in
the echo area (during Isearch) not necessarily as the raw search
string, but as its "canonical form", according to the current matching
behavior (which the user should be able to alter on-the-fly).

Definitely that would be a nice behavior, and not only for the laxity
in whitespace matching, but also in other ones discussed recently like
those related to accented.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 19 Jan 2013 08:06:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Jan 19 03:06:16 2013
Received: from localhost ([127.0.0.1]:39489 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwTRP-0005XI-2j
	for submit <at> debbugs.gnu.org; Sat, 19 Jan 2013 03:06:16 -0500
Received: from mail-la0-f43.google.com ([209.85.215.43]:57856)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TwTRL-0005XA-Ko
	for 13480 <at> debbugs.gnu.org; Sat, 19 Jan 2013 03:06:13 -0500
Received: by mail-la0-f43.google.com with SMTP id ed20so109151lab.16
	for <13480 <at> debbugs.gnu.org>; Sat, 19 Jan 2013 00:05:19 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=p2pE0KU2jcIQ5mjsWDnl9XtvqRU9WpfrO5LKKr3g8xE=;
	b=kxaXSCEWl6HraP5gA45hNvbFCsRVEq1AqFZM5B0fxvyAhta6Zqb/4xfA341IyLKXqY
	Bm+3+QXW6/Fn5KTnYhLHo6x1wFF6/Ycr51y5uuGUhQXPt2ODaqi/srVQoNcMxehIMBdX
	CVySY2NVsOvh6NTXU8pcHV0GN2eVYPmeHjUZEE1Q7Ip6Yf+NiA3FdfUuVM8YzWAXNZd9
	iTGjUVpPpgWyYgunMO9lYzZbmdsJqITVqGJtxp7UuiR2d3Jj3clnTFxIqujk0MhB1OQN
	C8Yvx9+4LIVoBnvjOF5S7uhyVbVTEHzpkVBM80aQfqC8jYD5qh1gwmMcybfxyUGqV7nJ
	BGYQ==
MIME-Version: 1.0
X-Received: by 10.152.146.36 with SMTP id sz4mr979244lab.46.1358582719559;
	Sat, 19 Jan 2013 00:05:19 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Sat, 19 Jan 2013 00:05:19 -0800 (PST)
In-Reply-To: <87wqva2lvg.fsf@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	<87wqva2lvg.fsf@HIDDEN>
Date: Sat, 19 Jan 2013 09:05:19 +0100
Message-ID: <CAH8Pv0j7SDcdR6yRjDa8iMM8=O9sV3EZSj80++GgJ0h3dvbfBg@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

On Fri, Jan 18, 2013 at 10:59 PM, Juri Linkov <juri@HIDDEN> wrote:
>> Wait a moment.  On second thought, I think that no translation should
>> be necessary at all when adding text from somewhere to the search string.
>
> Why not?  If you save "foo<newline>bar" to the kill-ring and
> yank it to the search string with `C-y' (`isearch-yank-kill')
> wouldn't you want it to translate the <newline> into a space?

No, I wouldn't.  I don't like that translation for two reasons:

1. It loses information that may be useful.  In the future we could
want to implement a feature whereby the user can toggle the
lax-whitespace-matching behavior during an Isearch session.  In fact I
think it would be a good feature (and ISTR that Drew proposed some
time ago).  That feature would not be possible if we change the text
that the user supplies to search for.

2. It is less surprising and more clean to me to see in the echo area
exactly the text I'm supplying, without translations of any kind.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 18 Jan 2013 22:07:45 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Jan 18 17:07:44 2013
Received: from localhost ([127.0.0.1]:39183 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TwK6B-000849-TR
	for submit <at> debbugs.gnu.org; Fri, 18 Jan 2013 17:07:44 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:41719
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1TwK65-00083n-6V
	for 13480 <at> debbugs.gnu.org; Fri, 18 Jan 2013 17:07:41 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 8420F2019B9166;
	Fri, 18 Jan 2013 14:06:47 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
	<CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
Date: Fri, 18 Jan 2013 23:59:31 +0200
In-Reply-To: <CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
	(Dani Moncayo's message of "Fri, 18 Jan 2013 00:54:35 +0100")
Message-ID: <87wqva2lvg.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.5 (/)

> Wait a moment.  On second thought, I think that no translation should
> be necessary at all when adding text from somewhere to the search string.

Why not?  If you save "foo<newline>bar" to the kill-ring and
yank it to the search string with `C-y' (`isearch-yank-kill')
wouldn't you want it to translate the <newline> into a space?

Anyway if you want to try this possibility (maybe it should be optional?),
here is the patch:

=== modified file 'lisp/isearch.el'
--- lisp/isearch.el	2013-01-18 21:36:55 +0000
+++ lisp/isearch.el	2013-01-18 21:57:06 +0000
@@ -1780,6 +1780,13 @@ (defun isearch-yank-string (string)
   (if (and isearch-case-fold-search
 	   (eq 'not-yanks search-upper-case))
       (setq string (downcase string)))
+  (if (if isearch-regexp
+	  isearch-regexp-lax-whitespace
+	isearch-lax-whitespace)
+      (setq string (replace-regexp-in-string
+		    search-whitespace-regexp
+		    " "
+		    string nil t)))
   (if isearch-regexp (setq string (regexp-quote string)))
   ;; Don't move cursor in reverse search.
   (setq isearch-yank-flag t)





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 17 Jan 2013 23:55:23 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 18:55:23 2013
Received: from localhost ([127.0.0.1]:37483 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TvzIo-0007OD-S9
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 18:55:23 -0500
Received: from mail-lb0-f180.google.com ([209.85.217.180]:57313)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvzIm-0007O5-3l
	for 13480 <at> debbugs.gnu.org; Thu, 17 Jan 2013 18:55:21 -0500
Received: by mail-lb0-f180.google.com with SMTP id gj3so2319887lbb.11
	for <13480 <at> debbugs.gnu.org>; Thu, 17 Jan 2013 15:54:35 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=SHqmRl9Zl5biOKD2OQPXw0SYdfLjKHiTs9IVXOlmH9k=;
	b=fIXOOQXkQjQryJq0mRciKOBX5fIRWsQJVhBBKH2S+sQ85eSCPeFlh8aqGH1kOXKAx4
	t9wHOkFMbD33NYhC5YKzPHCoAJ4Ms0JicDxkBqc1Faqwqhlek+ji5D1+9AHi0MlKBtLs
	vMkog4PXbGHRORnVHCEJw/sg1irFv3WdPOWou0cuNZlVQ80ZCQ1F3ThrvGz8wzr4iCBk
	XZXktX1TzpWogUQGEWeQEXPBRPbY4Q/PSNevpdRoGM24nvU6wIXzF4pwslhvuvYOt1Lx
	5L9JMGXyYzgPWPrhUsiM/ABgu7UaWF+3PZZHUlUAKFfuY6K4RrMANef3a7XmRGLf0Hcq
	9lzg==
MIME-Version: 1.0
X-Received: by 10.112.28.105 with SMTP id a9mr2913314lbh.66.1358466875623;
	Thu, 17 Jan 2013 15:54:35 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Thu, 17 Jan 2013 15:54:35 -0800 (PST)
In-Reply-To: <CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
	<CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
Date: Fri, 18 Jan 2013 00:54:35 +0100
Message-ID: <CAH8Pv0hWGB_Oqb2MZegW1ieTiukEyK8vD5u4Ppc7LVL4=tETXw@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

>>> So I propose that the command `isearch-yank-word-or-char' (C-w in
>>> Isearch) DTRT in this case, i.e., when `search-whitespace-regexp' is
>>> non-nil, translate the <newline> into a simple space when pulling text
>>> from the buffer into the search string.
>>
>> It makes sense to translate the <newline> into a simple space
>> only when `search-whitespace-regexp' contains <newline>
>> such as e.g. (setq search-whitespace-regexp "\\(\\s-\\|\n\\)+")
>> Otherwise, the translated space won't match <newline>.
>> It is possible to do this with the patch below.
>
> Indeed.  Any character that matches the current value of
> `search-whitespace-regexp' should be translated to a single space.

Wait a moment.  On second thought, I think that no translation should
be necessary at all when adding text from somewhere to the search string.

As I see it, the problem (bug) is that when `isearch-lax-whitespace'
is non-nil, a search string like "foo<X>bar" should match every
string like "foo<Y>bar" in the buffer, where X and Y are arbitrary
strings that match `search-whitespace-regexp'.

But the current behavior is different: only plain spaces in the search
string are matched against `search-whitespace-regexp', i.e., "<X>" is
fixed to a plain space.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 17 Jan 2013 23:10:53 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 18:10:53 2013
Received: from localhost ([127.0.0.1]:37472 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tvybi-0006Ms-Gw
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 18:10:52 -0500
Received: from mail-la0-f52.google.com ([209.85.215.52]:41176)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1Tvybe-0006Mi-EB
	for 13480 <at> debbugs.gnu.org; Thu, 17 Jan 2013 18:10:47 -0500
Received: by mail-la0-f52.google.com with SMTP id ee20so1135066lab.39
	for <13480 <at> debbugs.gnu.org>; Thu, 17 Jan 2013 15:10:02 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:in-reply-to:references:date:message-id
	:subject:from:to:cc:content-type;
	bh=Fbe5cwy2JsvbCutmClp2Qn4cyy7ZQ2X3qgx0OUvemGI=;
	b=uym4e4Meu1F+BkeWoWfXaKVDw0HxwBVCGzeMZi4Q7c/tJSv7kKE/pLwOTsSLTEEudO
	8XflU3emO4/h4XmXEcoFW+cPl/8nNRlp3VrUFv4YAJDz2VqhJY/Pn42Nov5rbhe3kRa2
	eaU4E8CC8zO09p4FH2XYzeN/bRJn0oclYfsiw82XX6cbe2s8tISaI4DVjtfx8bemVUgn
	27cc/x5UR6blv+NWhlkKuuz39vsWinjOvL7MKOq37I+ybSwCc/95oKMlwWxUw1hnYU9U
	WGVEET6UGvHoMV0Jxkp6ES2G3lXqg6sdx54A68nM7KKgXWfpy24ww0UNavcYtIkIOwtc
	SfUA==
MIME-Version: 1.0
X-Received: by 10.152.121.212 with SMTP id lm20mr6405749lab.42.1358464202000; 
	Thu, 17 Jan 2013 15:10:02 -0800 (PST)
Received: by 10.114.92.68 with HTTP; Thu, 17 Jan 2013 15:10:01 -0800 (PST)
In-Reply-To: <87r4ljh54a.fsf@HIDDEN>
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	<87r4ljh54a.fsf@HIDDEN>
Date: Fri, 18 Jan 2013 00:10:01 +0100
Message-ID: <CAH8Pv0jDFje3r9D2bgZthOTKCsU89V2=2o9r9A-dhRj=22h_6A@HIDDEN>
Subject: Re: bug#13480: 24.3.50; `C-w' from Isearch should translate newlines
	to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: Juri Linkov <juri@HIDDEN>
Content-Type: text/plain; charset=ISO-8859-1
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.7 (/)

>> So I propose that the command `isearch-yank-word-or-char' (C-w in
>> Isearch) DTRT in this case, i.e., when `search-whitespace-regexp' is
>> non-nil, translate the <newline> into a simple space when pulling text
>> from the buffer into the search string.
>
> It makes sense to translate the <newline> into a simple space
> only when `search-whitespace-regexp' contains <newline>
> such as e.g. (setq search-whitespace-regexp "\\(\\s-\\|\n\\)+")
> Otherwise, the translated space won't match <newline>.
> It is possible to do this with the patch below.

Indeed.  Any character that matches the current value of
`search-whitespace-regexp' should be translated to a single space.

> But then you might also want to translate the <newline> into a space
> in `isearch-yank-line' as well?  And maybe also in `isearch-yank-kill'?

I think so.  And also `isearch-yank-char' and `isearch-yank-pop'. In
general, any command that pulls text from somewhere into the search string.

IMO that's what makes sense when `isearch-lax-whitespace' is non-nil.

And BTW, I think that an analogous change should be done to regexp Isearch,
i.e., perform that translations during regexp Isearch when
`isearch-regexp-lax-whitespace' is non-nil.

-- 
Dani Moncayo




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at 13480 <at> debbugs.gnu.org:


Received: (at 13480) by debbugs.gnu.org; 17 Jan 2013 21:30:42 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 16:30:42 2013
Received: from localhost ([127.0.0.1]:37422 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1Tvx2n-0003t5-EC
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 16:30:42 -0500
Received: from ps18281.dreamhost.com ([69.163.218.105]:48196
	helo=ps18281.dreamhostps.com)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <juri@HIDDEN>) id 1Tvx2h-0003sp-Ag
	for 13480 <at> debbugs.gnu.org; Thu, 17 Jan 2013 16:30:37 -0500
Received: from localhost (ps18281.dreamhostps.com [69.163.218.105])
	by ps18281.dreamhostps.com (Postfix) with ESMTP id 783DF201D40739;
	Thu, 17 Jan 2013 13:29:50 -0800 (PST)
From: Juri Linkov <juri@HIDDEN>
To: Dani Moncayo <dmoncayo@HIDDEN>
Subject: Re: bug#13480: 24.3.50;
	`C-w' from Isearch should translate newlines to spaces
Organization: JURTA
References: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
Date: Thu, 17 Jan 2013 23:27:49 +0200
In-Reply-To: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
	(Dani Moncayo's message of "Thu, 17 Jan 2013 21:39:29 +0100")
Message-ID: <87r4ljh54a.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (x86_64-pc-linux-gnu)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.8 (/)
X-Debbugs-Envelope-To: 13480
Cc: 13480 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -0.0 (/)

> So I propose that the command `isearch-yank-word-or-char' (C-w in
> Isearch) DTRT in this case, i.e., when `search-whitespace-regexp' is
> non-nil, translate the <newline> into a simple space when pulling text
> from the buffer into the search string.

It makes sense to translate the <newline> into a simple space
only when `search-whitespace-regexp' contains <newline>
such as e.g. (setq search-whitespace-regexp "\\(\\s-\\|\n\\)+")
Otherwise, the translated space won't match <newline>.
It is possible to do this with the patch below.

But then you might also want to translate the <newline> into a space
in `isearch-yank-line' as well?  And maybe also in `isearch-yank-kill'?

=== modified file 'lisp/isearch.el'
--- lisp/isearch.el	2013-01-16 21:45:20 +0000
+++ lisp/isearch.el	2013-01-17 21:27:35 +0000
@@ -1837,7 +1837,14 @@ (defun isearch-yank-internal (jumpform)
    (save-excursion
      (and (not isearch-forward) isearch-other-end
 	  (goto-char isearch-other-end))
-     (buffer-substring-no-properties (point) (funcall jumpform)))))
+     (if (if isearch-regexp
+	     isearch-regexp-lax-whitespace
+	   isearch-lax-whitespace)
+	 (replace-regexp-in-string
+	  search-whitespace-regexp
+	  " "
+	  (buffer-substring-no-properties (point) (funcall jumpform)) nil t)
+       (buffer-substring-no-properties (point) (funcall jumpform))))))
 
 (defun isearch-yank-char-in-minibuffer (&optional arg)
   "Pull next character from buffer into end of search string in minibuffer."




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 17 Jan 2013 20:40:24 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Jan 17 15:40:24 2013
Received: from localhost ([127.0.0.1]:37400 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1TvwG7-0002iW-A4
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 15:40:24 -0500
Received: from eggs.gnu.org ([208.118.235.92]:52932)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwG5-0002iP-An
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 15:40:22 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwFN-0002BI-C0
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 15:39:38 -0500
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-102.6 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_LOW, T_DKIM_INVALID,
	USER_IN_WHITELIST autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60400)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwFN-0002BE-8a
	for submit <at> debbugs.gnu.org; Thu, 17 Jan 2013 15:39:37 -0500
Received: from eggs.gnu.org ([208.118.235.92]:36052)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwFM-0003Dp-0q
	for bug-gnu-emacs@HIDDEN; Thu, 17 Jan 2013 15:39:37 -0500
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwFG-0002AR-Eb
	for bug-gnu-emacs@HIDDEN; Thu, 17 Jan 2013 15:39:35 -0500
Received: from mail-ob0-f181.google.com ([209.85.214.181]:53670)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dmoncayo@HIDDEN>) id 1TvwFG-0002AB-98
	for bug-gnu-emacs@HIDDEN; Thu, 17 Jan 2013 15:39:30 -0500
Received: by mail-ob0-f181.google.com with SMTP id oi10so3023980obb.12
	for <bug-gnu-emacs@HIDDEN>; Thu, 17 Jan 2013 12:39:29 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:x-received:date:message-id:subject:from:to
	:content-type; bh=MCqrTkSGdX1aj6ioyl6lbmBWbf7UbnEoLM5UWyyQjiQ=;
	b=W38N5Ep8kIevloIbAwtxOF8OJrzx9YJx2TB30OdBszEaWxx/BFN6sYRIfudqGK2dPn
	cyK+m0DQgbF/gvnHjJEgsnM5gTZgLaqr/IUOnePsDiK82fO9+iEIzAGlDOemudoQg9wr
	TRln/L4lSZXDdjg2n3ZxcZ768GEAwrbKNXCxhpvoVpKoLQAJbHK5Qsn2pANd+hFOpN9E
	kCa5+C0nRr/Am2e/CpYlBOyAGnaVFLdYCaBW59cEI4k01iOZk0HKddax6W/sEIy8qRKV
	Ce/SA3fhEOwBnJr6BtR7MZhZVNOqpjZJSHvkl4CqwfLWPIM/11ypIa1rfBmno0gjltgk
	/6NA==
MIME-Version: 1.0
X-Received: by 10.182.130.38 with SMTP id ob6mr5063764obb.100.1358455169322;
	Thu, 17 Jan 2013 12:39:29 -0800 (PST)
Received: by 10.60.11.39 with HTTP; Thu, 17 Jan 2013 12:39:29 -0800 (PST)
Date: Thu, 17 Jan 2013 21:39:29 +0100
Message-ID: <CAH8Pv0iwpPs-67rnTVK7e9+8E518joTpKCXa=YGOGvdCz1-s5g@HIDDEN>
Subject: 24.3.50; `C-w' from Isearch should translate newlines to spaces
From: Dani Moncayo <dmoncayo@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 3.x [fuzzy]
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6.x
X-Received-From: 208.118.235.17
X-Spam-Score: -3.4 (---)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

Hello,

I have `isearch-lax-whitespace' set to t in my init file, so that I
can search for a sequence of words regardless of whether there is line
breaks or plain spaces between them.

Now, if the text following point is "foo bar" and I do `C-s C-w C-w'
I'll be searching for any sequence of those two words, separated by
any whitespace (well, controlled by `search-whitespace-regexp').  Ok,
as expected.

But I've just noticed that if the text following point is
"foo<newline>bar" and I do the same, I'll be searching exactly for
that fixed sequence of 7 characters, including the <newline>.  Not
what I want, obviously.

So I propose that the command `isearch-yank-word-or-char' (C-w in
Isearch) DTRT in this case, i.e., when `search-whitespace-regexp' is
non-nil, translate the <newline> into a simple space when pulling text
from the buffer into the search string.

TIA.

In GNU Emacs 24.3.50.1 (i386-mingw-nt6.2.9200)
 of 2013-01-10 on MS-W8-DANI
Bzr revision: 111476 jan.h.d@HIDDEN
Windowing system distributor `Microsoft Corp.', version 6.2.9200
Configured using:
 `configure --with-gcc (4.7) --no-opt --enable-checking --cflags
 -Ic:/emacs/libs/libXpm-3.5.10/include -Ic:/emacs/libs/libXpm-3.5.10/src
 -Ic:/emacs/libs/libpng-dev_1.4.3-1_win32/include
 -Ic:/emacs/libs/zlib-dev_1.2.5-2_win32/include
 -Ic:/emacs/libs/giflib-4.1.4-1-lib/include
 -Ic:/emacs/libs/jpeg-6b-4-lib/include
 -Ic:/emacs/libs/tiff-3.8.2-1-lib/include
 -Ic:/emacs/libs/libxml2-2.7.8-w32-bin/include/libxml2
 -Ic:/emacs/libs/gnutls-3.1.5-w32/include
 -Ic:/emacs/libs/libiconv-1.14-2-mingw32-dev/include'

-- 
Dani Moncayo




Acknowledgement sent to Dani Moncayo <dmoncayo@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#13480; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.